#property indicator_chart_window

extern int   ForDay    = 1;
extern int   Days      = 1;
extern color HighColor = Lime;
extern color LowColor  = Orange;

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
   return(0);
}
int deinit()
{ 
   for (int i = ObjectsTotal()-1; i>=0; i--)
   {
      string name = ObjectName(i);
      if (StringFind(name,"lineHigh:")> -1) ObjectDelete(name);
      if (StringFind(name,"lineLow:") > -1) ObjectDelete(name);
   }     
   return(0);
}    
int start()
{
   int days = 0;
   
   //
   //
   //
   //
   //

   for(int i=0; i<iBars(NULL,PERIOD_D1) && days<Days; i++)
   {
      if (TimeDayOfWeek(iTime(NULL,PERIOD_D1,i))==ForDay)
      {
         days++;
         double   high      = iHigh(NULL,PERIOD_D1,i);
         double   low       = iLow(NULL,PERIOD_D1,i);
         datetime startTime = iTime(NULL,PERIOD_D1,i);
         datetime endTime   = startTime+24*3600-1;
      
         string name = "lineHigh:"+startTime;
            ObjectCreate(name,OBJ_TREND,0,0,0,0,0);
               ObjectSet(name,OBJPROP_TIME1,startTime);
               ObjectSet(name,OBJPROP_TIME2,endTime);
               ObjectSet(name,OBJPROP_PRICE1,high);
               ObjectSet(name,OBJPROP_PRICE2,high);
               ObjectSet(name,OBJPROP_COLOR,HighColor);
               ObjectSet(name,OBJPROP_RAY,false);
         name = "lineLow:"+startTime;
            ObjectCreate(name,OBJ_TREND,0,0,0,0,0);
               ObjectSet(name,OBJPROP_TIME1,startTime);
               ObjectSet(name,OBJPROP_TIME2,endTime);
               ObjectSet(name,OBJPROP_PRICE1,low);
               ObjectSet(name,OBJPROP_PRICE2,low);
               ObjectSet(name,OBJPROP_COLOR,LowColor);
               ObjectSet(name,OBJPROP_RAY,false);
      }               
   }               
   return(0);
}

